curl --request POST \
--url https://api.mindshare.so/customer/v1/get-customer-growth-stats \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"customerID": 123,
"aiPlatform": "<string>"
}
'import requests
url = "https://api.mindshare.so/customer/v1/get-customer-growth-stats"
payload = {
"customerID": 123,
"aiPlatform": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({customerID: 123, aiPlatform: '<string>'})
};
fetch('https://api.mindshare.so/customer/v1/get-customer-growth-stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"perScan": [
{
"queryGroupId": 123,
"queryGroupTitle": "<string>",
"data": [
{
"date": "2023-12-25",
"aiPlatform": "<string>",
"score": 123,
"executionId": 123
}
]
}
],
"overview": [
{
"queryGroupId": 123,
"queryGroupTitle": "<string>",
"data": [
{
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"aiPlatform": "<string>",
"score": 123
}
]
}
]
},
"version": "<string>",
"env": "<string>"
}Get Customer Growth Stats
This endpoint provides data organized by query group, with two distinct views:
Per Scan: Shows individual scores for each scan with its date. Provides granular, point-in-time data for each scan. Includes execution date and score for each scan
Overview: Shows 30-day rolling average scores. Provides smoothed trend data that reduces noise. Calculated as rolling averages based on the last 30 days of executions — computed per AI platform.
Results include executions from all supported AI platforms (e.g. ChatGPT, Google AI Overview) by default.
AI Platforms (`aiPlatform`)
AI Platforms (`aiPlatform`)
data array. Every data point is tagged with an aiPlatform field so you can distinguish points per platform.Overview rolling averages are computed per platform, which means the same startDate/endDate window can appear multiple times for the same query group — one entry per platform.Use the optional aiPlatform request parameter to scope the response to a single platform. Current values:chatgpt— ChatGPTaioverview— Google AI Overview
Authorizations
Body
Customer ID
The ID of the customer
Optional. Filter stats to a single AI platform. Current values: 'chatgpt' (ChatGPT), 'aioverview' (Google AI Overview). Additional platforms may be added in the future. If omitted, stats from all platforms are returned, interleaved in each query group's data array.